package com.yc.ship.module.trade.enums;

import lombok.Getter;
import lombok.RequiredArgsConstructor;

/**
 * &#064;Description 订单操作类型枚举
 * &#064;Author qsl
 * &#064;Date 2025/8/18 14:44
 */
@RequiredArgsConstructor
@Getter
public enum TradeOrderOperateTypeEnum {

    ORDER_CREATE(1, "创建订单，结果：{result}"),
    SUPPLIER_ORDER_CREATE(2, "调用供应商系统创建订单，供应商：{supplierName},服务类：{serviceName},平台供应商订单ID：{platSupplierOrderId},结果：{result}"),
    PAY_TIMEOUT_SYSTEM_CANCEL(3, "支付超时系统自动取消"),
    MANUL_CANCEL(4, "主动取消订单"),
    ORDER_PAY(5, "订单支付，支付方式：{payType},金额：{payAmount}"),
    SUPPLIER_ORDER_PAY(6, "调用供应商系统支付,供应商：{supplierName},平台供应商订单ID：{platSupplierOrderId},结果：{result}"),
    ORDER_PROCESS(7, "订单出票，结果：{result}"),
    SUPPLIER_ORDER_REFUND(8, "调用供应商系统退款,供应商：{supplierName},退款批次ID:{refundId},平台供应商退款ID：{platSupplierRefundId},结果：{result}"),
    ORDER_REFUND(9, "{userName}发起退款，退款金额：{refundAmount},退款批次号：{refundId},退款方式：{refundMethod},退款渠道：{refundChannel}"),
    ORDER_REFUND_AUDIT(10, "退款审核，退款批次号：{refundId},结果：{result},是否修改退款金额：{changeRefund}"),
    ORDER_REFUND_RESULT(11, "退款结果，退款批次号：{refundId},结果：{result}"),
    ORDER_DISPATCH(12, "订单被调度"),
    ORDER_PERFECT(13, "完善订单，设置接送站，分销商名称：{name}，会员ID：{memberId}"),
    ORDER_CHECK(14, "核销情况：【{checkCodeType}】{targetNo}，通过【{checkType}】核销方式，{machineInfo}核销{checkResult}"),
    UPDATE_ORDER_INFO(15, "修改内容：{result}"),
    TRANSFER(16, "【订单转交】分销商: {ota}, 结算价: {price}, 规格单价: {specPrices}"),
    SUPPLIER_ORDER_CANCEL(17, "调用供应商系统取消订单,供应商：{supplierName},平台供应商订单ID：{platSupplierOrderId},结果：{result}"),
    ORDER_APPLY_CHANGE(18, "订单申请改签，产生新订单{newOrderNo},{changeAmountMessage}"),
    ORDER_CHANGE_CONFIRM(19, "已确认"),
    ORDER_ADD(20, "订单增加产品数量，关联订单{newOrderNo}"),
    ORDER_MARKETING_REFUND(21, "营销政策退款，支付金额{payAmount}，变更为{newPayAmount}"),
    ORDER_MERGE(22, "增加订单{orderId}合并，合并金额{payAmount}，合并后为{newPayAmount}"),
    TRANSFER_REVOKE(23, "订单转交撤回"),
    ORDER_SERVICE_REFUND(24, "售后退款，退款金额{refundAmount},操作人{userName},原订单支付金额{payAmount}，变更为{newPayAmount}"),
    CONFIRM_ORDER(25, "二次确认订单，{confirmPerson}, 操作类型：{confirmType}"),
    SUPP_TICKET_REFUND(26, "补票退款，操作人：{operPerson}, 金额：{amount}"),
    CANCEL_REFUND(27, "取消退款,退款ID:{refundId}"),
    GUIDE_REFUND(28, "导游代退,退款金额{refundAmount},原订单支付金额{payAmount}，变更为{newPayAmount}"),
    ORDER_MODIFY(29, "修改订单，修改记录：{content}，结果：{result}"),
    ORDER_AUDIT(30, "订单审核，结果：{result}"),
    CANCEL_AUDIT(32, "订单取消审核，结果：{result}"),
    ORDER_DEPOSI_PAY(31, "订单定金支付，支付方式：{payType},金额：{payAmount}"),
    ORDER_BC_PAY(33, "订单补差价支付，支付方式：{payType},金额：{payAmount}"),
    ORDER_AUDIT_LOG(34, "订单进入审核"),
    ;

    /**
     * 操作类型
     */
    private final Integer type;
    /**
     * 操作描述
     */
    private final String content;

}
